#pragma once

#include "CoreMinimal.h"
#include "ENewsAndMessagesSectionType.h"
#include "NewsS3Image.h"
#include "NewsAndMessagesRuntimeShowcasedItem.h"
#include "NewsS3Content.generated.h"

USTRUCT(BlueprintType)
struct FNewsS3Content
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	ENewsAndMessagesSectionType Type;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString Text;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool Text_IsSet;

	UPROPERTY(BlueprintReadWrite, Transient)
	FNewsS3Image Image;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool Image_IsSet;

	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<FNewsAndMessagesRuntimeShowcasedItem> ShowcasedItem;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool ShowcasedItem_IsSet;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString QRCode;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool QRCode_IsSet;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool SwitchKillswitch;

	UPROPERTY(BlueprintReadWrite, Transient, SkipSerialization)
	bool SwitchKillswitch_IsSet;

public:
	NEWS_API FNewsS3Content();
};

FORCEINLINE uint32 GetTypeHash(const FNewsS3Content) { return 0; }
